[med-svn] [Git][med-team/dicom3tools][master] 9 commits: Add autopkgtests
Mohd Bilal (@rmb)
gitlab at salsa.debian.org
Sun Jun 26 08:25:26 BST 2022
Mohd Bilal pushed to branch master at Debian Med / dicom3tools
Commits:
2160ec87 by Mohammed Bilal at 2022-06-26T11:10:25+05:30
Add autopkgtests
- - - - -
6b987b1f by Mohammed Bilal at 2022-06-26T11:10:50+05:30
Install example data
- - - - -
9ccab906 by Mohammed Bilal at 2022-06-26T11:12:35+05:30
Add copyright for test data
- - - - -
1fa7d91c by Mohammed Bilal at 2022-06-26T05:46:43+00:00
routine-update: Packaging update
- - - - -
d12d6fcb by Mohammed Bilal at 2022-06-26T05:46:52+00:00
routine-update: debhelper-compat 13
- - - - -
ad3be79d by Mohammed Bilal at 2022-06-26T05:48:05+00:00
routine-update: Do not parse d/changelog
- - - - -
35298d62 by Mohammed Bilal at 2022-06-26T05:48:52+00:00
routine-update: watch file standard 4
- - - - -
763b5baa by Mohammed Bilal at 2022-06-26T11:38:50+05:30
add example data to d/s/include-binaries
- - - - -
80720163 by Mohammed Bilal at 2022-06-26T12:54:23+05:30
Update changelog
- - - - -
11 changed files:
- debian/changelog
- debian/control
- debian/copyright
- + debian/examples
- debian/rules
- + debian/source/include-binaries
- + debian/tests/README
- + debian/tests/control
- + debian/tests/data/0051.dcm
- + debian/tests/run-unit-test
- debian/watch
Changes:
=====================================
debian/changelog
=====================================
@@ -1,3 +1,16 @@
+dicom3tools (1.00~20220618093127-2) UNRELEASED; urgency=medium
+
+ * Team upload.
+ * Add autopkgtests
+ * Install example data
+ * Add copyright for test data
+ * routine-update: Packaging update
+ * routine-update: debhelper-compat 13
+ * routine-update: Do not parse d/changelog
+ * routine-update: watch file standard 4
+
+ -- Mohammed Bilal <mdbilal at disroot.org> Sun, 26 Jun 2022 12:53:45 +0530
+
dicom3tools (1.00~20220618093127-1) unstable; urgency=medium
* Team upload.
=====================================
debian/control
=====================================
@@ -3,7 +3,7 @@ Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.
Uploaders: Andreas Tille <tille at debian.org>, Gert Wollny <gewo at debian.org>
Section: graphics
Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
gawk,
libx11-dev,
libxext-dev,
=====================================
debian/copyright
=====================================
@@ -40,3 +40,30 @@ License: BSD-3-clause
however caused and on any theory of liability, whether in contract, strict liability, or
tort (including negligence or otherwise) arising in any way out of the use of this software,
even if advised of the possibility of such damage.
+
+Files: debian/tests/data/0051.dcm
+Copyright: 2019, Chris Rorden
+License: BSD-2-Clause
+
+License: BSD-2-Clause
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions are met:
+ .
+ 1. Redistributions of source code must retain the above copyright notice, this
+ list of conditions and the following disclaimer.
+ .
+ 2. Redistributions in binary form must reproduce the above copyright notice,
+ this list of conditions and the following disclaimer in the documentation
+ and/or other materials provided with the distribution.
+ .
+ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+ ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
+ FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+ SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
+ CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+ OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+debian/tests/data/0051.dcm
=====================================
debian/rules
=====================================
@@ -7,6 +7,7 @@ CXXFLAGS+=$(CPPFLAGS)
VER_MAJOR = 1
VER_MINOR = 00
+include /usr/share/dpkg/default.mk
VER_PATCH = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d- | cut -f2 -d~)
UPSTREAM_SRC = dicom3tools_1.00.snapshot.$(VER_PATCH)
=====================================
debian/source/include-binaries
=====================================
@@ -0,0 +1 @@
+debian/tests/data/0051.dcm
=====================================
debian/tests/README
=====================================
@@ -0,0 +1,5 @@
+Tests for dicom3tools
+=================
+
+The data for tests has been referenced from:
+ https://github.com/neurolabusc/dcm_qa_asl/tree/master/In/PASL2D/3_pasl_2d/0051.dcm
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
=====================================
debian/tests/data/0051.dcm
=====================================
Binary files /dev/null and b/debian/tests/data/0051.dcm differ
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,28 @@
+#!/bin/bash
+set -e
+
+pkg=dicom3tools
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+echo -e "\e[93m\e[1mRunning Tests\e[0m"
+
+dcfile 0051.dcm
+
+echo -e "\e[92m\e[1mPASS\e[0m"
+
+dciodvfy 0051.dcm
+
+echo -e "\e[92m\e[1mPASS\e[0m"
+
+dcdump 0051.dcm
+
+echo -e "\e[92m\e[1mPASS\e[0m"
=====================================
debian/watch
=====================================
@@ -1,4 +1,4 @@
-version=3
+version=4
opts=dversionmangle=s/^(1\.0)(~\d{8})/$10$2/,uversionmangle=s/(\d)\.snapshot\.(\d{8})/$1~$2/ \
http://www.dclunie.com/dicom3tools/workinprogress/index.html \
(?:.*/|)dicom3tools[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
View it on GitLab: https://salsa.debian.org/med-team/dicom3tools/-/compare/dc45f7e68ae7a5db64ac98f9269f98320656e2d8...807201638078e9dbaf9f590c8b6b68146cfd9631
--
View it on GitLab: https://salsa.debian.org/med-team/dicom3tools/-/compare/dc45f7e68ae7a5db64ac98f9269f98320656e2d8...807201638078e9dbaf9f590c8b6b68146cfd9631
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20220626/68c2acd6/attachment-0001.htm>
More information about the debian-med-commit
mailing list